1. Companies
Leadfeeder API (BETA)
  • Introduction
  • Authentication
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • Account
    • List Accounts
  • Companies
    • Get Company Details
      GET
    • Retrieve Companies
      GET
    • Company Financial Reports
      GET
    • Search Company Signals
      POST
    • Search Companies
      POST
    • Match Companies
      POST
    • Add Company to Lists
      POST
    • Remove Company from Lists
      DELETE
    • Assign Tags to Company
      POST
    • Unassign Tags from Company
      DELETE
  • Contacts
    • Get Contact Details
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • IP
    • Enrich Company IP Address
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
  • Reference Data
    • List of NACE / WZ codes
  • Schemas
    • Schemas
    • Response
    • AccountResponse
    • VisitLocationV1
    • IcpV1
    • LocationV1
    • CRMUserV1
    • CRMOrganizationV1
    • CRMContactV1
    • CRMLeadV1
    • WebVisitV1
    • CRMConnectionV1
    • BuyerPersonaV1
    • CRMSuggestionV1
    • IpLocationV1
    • CRMGroupConnectionV1
    • CustomFeedRequestV1
    • AccountV1
    • MaskedContactSummaryV1
    • CustomFeedV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • CompanyLocationV1
    • Error401
    • AccountSummaryV1
    • Error403
    • ErrorObjectV1
    • MaskedCompanySummaryV1
    • CompanyV1
    • Error429
    • NetworkV1
    • CompanyFinancialsV1
    • Error404
    • Error500
    • SignalV1
    • Error504
    • CompanyResponse
    • CompanySummaryV1
    • CompaniesResponse
    • CompanyFinancialsResponse
    • CompaniesSignalsResponse
    • CompaniesSearchResponse
    • TagV1
    • ListV1
    • CompanyMatchV1
    • ContactResponse
    • CustomFieldV1
    • ContactV1
    • ContactsResponse
    • ContactSummaryV1
    • ContactsSummaryResponse
    • EnrichedIpV1
    • IpEnrichResponse
    • TagsResponse
    • ListsResponse
    • ApiUsageV1
    • ApiUsageResponse
    • Error400
    • TagResponse
    • ListResponse
    • TagDeleteResponse
    • ListDeleteResponse
    • EmptySuccessResponse
    • CustomFieldsResponse
    • CustomFieldResponse
  1. Companies

Retrieve Companies

GET
/v1/companies
Retrieve the list of companies based on provided IDs.
Credit Note: Each company will contain it's full deep data and it will consumes 1 credit, unless the company was already accessed within the last 12 months.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Responses

🟢200OK
application/json
Success
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
🔴500Server Error
🔴504Gateway Timeout
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.leadfeeder.com/v1/companies?ids=159001425,129011&account_id=123456&include=group_company' \
--header 'X-Api-Key: <api-key>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "type": "company",
            "id": "129011",
            "attributes": {
                "address": {
                    "street_address": "Durlacher Allee 73",
                    "street_name": "Durlacher Allee",
                    "street_number": "73",
                    "postal_code": "76131",
                    "city": "Karlsruhe",
                    "country": "Germany",
                    "country_code": "DE",
                    "region": "Baden-Württemberg",
                    "region_code": "DE1",
                    "geo": {
                        "latitude": 49.01,
                        "longitude": 8.43
                    }
                },
                "alternative_names": [
                    "Echobot Media Technologies GmbH",
                    "Dealfront"
                ],
                "alternative_urls": [
                    "https://echobot.de",
                    "https://dealfront.com"
                ],
                "custom_fields": {
                    "property1": {
                        "type": "ai_boolean",
                        "value": "Germany",
                        "reason": "The company provides API-driven identity management and security solutions. While it operates in a sector relevant to digital footprint and market activity, it does not explicitly analyze growth trajectories, headcount trends, or market momentum as described in the search query."
                    },
                    "property2": {
                        "type": "ai_boolean",
                        "value": "Germany",
                        "reason": "The company provides API-driven identity management and security solutions. While it operates in a sector relevant to digital footprint and market activity, it does not explicitly analyze growth trajectories, headcount trends, or market momentum as described in the search query."
                    }
                },
                "description": "Dealfront is the Go-to-Market Platform giving sales and marketing teams the data, applications, and insights they need to win any European market",
                "earnings": {
                    "currency": "EUR",
                    "year": 2020,
                    "value": 9694333,
                    "estimated": false
                },
                "emails": [
                    {
                        "address": "info@dealfront.com"
                    }
                ],
                "employee_count": 271,
                "employee_range": "1-10",
                "founded_year": 2017,
                "industries": {
                    "nace": [
                        {
                            "name": "Computer programming activities",
                            "code": "62.01.9"
                        }
                    ],
                    "wz": [
                        {
                            "name": "Computer programming activities",
                            "code": "62.01.9"
                        }
                    ],
                    "industry": [
                        {
                            "name": "Software Development"
                        }
                    ]
                },
                "keywords": [
                    "Strategy",
                    "Technology",
                    "Software Solutions",
                    "Marketing",
                    "B2b"
                ],
                "legal_form": "Limited",
                "meta": {
                    "has_updated_id": false,
                    "do_not_contact": false,
                    "num_contacts": 99
                },
                "name": "Dealfront Group GmbH",
                "net_worth": {
                    "currency": "EUR",
                    "year": 2020,
                    "value": 9694333,
                    "estimated": false
                },
                "orientation": [
                    "B2B"
                ],
                "phones": [
                    {
                        "number": "+49 721 50057501",
                        "type": "landline",
                        "blacklisted": false
                    }
                ],
                "previous_ids": [
                    "185907485",
                    "221290577",
                    "223757669",
                    "223760732"
                ],
                "register": {
                    "id": "HRB711540",
                    "location": "Mannheim",
                    "status": "active"
                },
                "revenue": {
                    "currency": "EUR",
                    "year": 2020,
                    "value": 9694333,
                    "value_eur": 9694333,
                    "estimated": false
                },
                "role": "single_entity",
                "social_media_profiles": {
                    "facebook": [
                        {
                            "url": "https://www.facebook.com/getdealfront"
                        }
                    ],
                    "instagram": [
                        {
                            "url": "https://instagram.com/getdealfront"
                        }
                    ],
                    "linkedin": [
                        {
                            "url": "https://www.linkedin.com/company/dealfront"
                        }
                    ],
                    "pinterest": [],
                    "twitter": [
                        {
                            "url": "https://twitter.com/getdealfront"
                        }
                    ],
                    "xing": [],
                    "youtube": []
                },
                "url": "https://www.dealfront.com/welcome",
                "vat_id": "DE276265194",
                "web_engagement": {
                    "last_visit_date": "2026-03-05T12:41:44Z"
                }
            },
            "relationships": {
                "group_company": {
                    "id": "129011",
                    "type": "company"
                },
                "tags": [
                    {
                        "type": "tag",
                        "id": "4b7e2c9f",
                        "attributes": {
                            "name": "Prospects",
                            "color": 0,
                            "created_at": "2024-12-10T15:57:25Z",
                            "updated_at": "2024-11-24T11:50:00Z"
                        },
                        "relationships": {
                            "created_by": {
                                "id": "12345",
                                "type": "user"
                            }
                        }
                    }
                ],
                "lists": [
                    {
                        "type": "list",
                        "id": "company_123",
                        "attributes": {
                            "name": "US Prospects",
                            "scope": "company",
                            "created_at": "2024-12-10T15:57:25Z",
                            "updated_at": "2024-11-24T11:50:00Z"
                        },
                        "relationships": {
                            "created_by": {
                                "id": "12345",
                                "type": "user"
                            }
                        }
                    }
                ],
                "web_visits": [
                    {
                        "type": "web-visit",
                        "id": "5b4f313e-46de-11e8-b981-05bebed8e58b",
                        "attributes": {
                            "started_at": "2026-01-15T10:30:00.000Z",
                            "source": "google",
                            "medium": "cpc",
                            "campaign": "HomePage Split",
                            "referring_url": "https://www.google.com/search?q=dealfront",
                            "keyword": "website leads",
                            "landing_page_path": "/home",
                            "page_depth": 4,
                            "visit_length": 80,
                            "device_type": "smartphone",
                            "identifiers": {
                                "lf_client_id": "LF1.1.a3f8b2d1e4c90123.1742597607000",
                                "ga_client_ids": [
                                    "5829104736.1742616961"
                                ],
                                "adobe_cookies": [
                                    {
                                        "MCMID": "681245",
                                        "MCAAMB": "RKh123Vc5",
                                        "MCAAMLH": "6"
                                    }
                                ]
                            },
                            "visitor": {
                                "email": "john.doe@example.com",
                                "first_name": "John",
                                "last_name": "Doe"
                            },
                            "engagements": [
                                {
                                    "hostname": "www.leadfeeder.com",
                                    "page": {
                                        "path": "/pricing/",
                                        "title": "Pricing for all stages of growth",
                                        "url": "http://www.dealfront.com/pricing/"
                                    },
                                    "previous_page_path": "(entrance)",
                                    "has_met_goals": false,
                                    "event_type": "page-view",
                                    "time_on_page": 22
                                }
                            ]
                        },
                        "relationships": {
                            "location": {
                                "type": "visit-location",
                                "id": "6xeTMh2VfiAzFd86n7GNJ3",
                                "attributes": {
                                    "country": "Finland",
                                    "country_code": "FI",
                                    "region": "Uusimaa",
                                    "city": "Helsinki",
                                    "geonames_id": "658225",
                                    "postal_code": "string"
                                }
                            },
                            "company": {
                                "id": "129011",
                                "type": "company"
                            }
                        }
                    }
                ],
                "crm_connections": [
                    {
                        "type": "crm-connection",
                        "id": "string",
                        "attributes": {
                            "send_visits": true,
                            "primary": true
                        },
                        "relationships": {
                            "crm_record": {
                                "id": "string",
                                "type": "string"
                            }
                        }
                    }
                ],
                "crm_suggestions": [
                    {
                        "type": "crm-suggestion",
                        "id": "string",
                        "attributes": {
                            "match_score": 0
                        },
                        "relationships": {
                            "crm_record": {
                                "id": "string",
                                "type": "string"
                            }
                        }
                    }
                ],
                "crm_group_connections": [
                    {
                        "type": "crm-group-connection",
                        "id": "string",
                        "attributes": {},
                        "relationships": {
                            "crm_connection": {
                                "id": "string",
                                "type": "crm-connection"
                            },
                            "company": {
                                "id": "string",
                                "type": "company"
                            }
                        }
                    }
                ]
            }
        }
    ],
    "meta": {
        "credits": {
            "charged": 1
        },
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
Modified at 2026-04-14 13:35:01
Previous
Get Company Details
Next
Company Financial Reports
Built with